[maemo-developers] Debhelper 7

From: Jeremiah Foster jeremiah at jeremiahfoster.com
Date: Sat Nov 28 17:43:54 EET 2009
On Nov 28, 2009, at 16:00, Teemu Ikonen wrote:

> On Sat, Nov 28, 2009 at 3:02 PM, David Greaves <david at dgreaves.com> wrote:
>> Do you have a URL for the .dsc and tarball
> You can check out the sources by doing
> git clone git://gitorious.org/maemo-pkg/debhelper.git
> But, as said, the build fails.

I know that Nokia sort of disables perl on the device - they might do that on the SDK as well. Have you installed the perl-moduels package as well as perl-base in the SDK?

> Teemu
>> Teemu Ikonen wrote:
>>> Hi,
>>> I'm trying to compile / port some C libraries from Debian to Maemo 5.
>>> The actual compilation goes without problems, but the packaging
>>> scripts use the (very nice) command sequencer functionality of
>>> debhelper v. 7, while the SDK has only debhelper 5.

This is excellent - I would love to see this in maemo because it makes the rules files so simple.

>>> There is an up-to-date 'maemofied' debhelper in maemo.gitorious.org,
>>> but trying to compile it in the SDK fails miserably. The problem seems
>>> to be related to perl, which is also of similar vintage (i.e.
>>> obsolete) in the SDK.
>>> Has anyone else tried or managed to get debhelper 7 running on maemo
>>> 5? Having to rewrite the packaging on every library I need would be a
>>> major suck.
>>> Teemu

Let me know how I can help. Perhaps post your error message here when building?

More information about the maemo-developers mailing list